## hkl-detector-private

hkl-detector-private

## Functions

HklDetector * | hkl_detector_new ()
void | hkl_detector_attach_to_holder ()
int | hkl_detector_compute_kf ()

## Types and Values

| HklDetector

## Description

## Functions

### hkl_detector_new ()

    HklDetector *
    hkl_detector_new (void);

Create a new default HklDetector

[skip]

### hkl_detector_attach_to_holder ()

    void
    hkl_detector_attach_to_holder (HklDetector *self);

attach the HklDetector to an HklHolder

[skip]

### hkl_detector_compute_kf ()

    int
    hkl_detector_compute_kf (HklDetector const *self,
                             HklGeometry *g);

Compute the kf vector of the HklDetector

[skip]

#### Parameters

g | the diffractometer HklGeometry use to compute kf. | [in]
kf | the HklVector fill with the kf coordinates. | [out caller-allocates]

#### Returns

HKL_SUCCESS if everythongs goes fine. HKL_FAIL otherwise.

## Types and Values

### HklDetector

    typedef struct {
    	size_t idx;
    	HklHolder const *holder;
    } HklDetector;